Subject: PMP> RE: Printer MIB v2 [new PrtInterpreterLangFamilyTC enums]

From: "McDonald, Ira" <[email-masked]>
Date: Wed, 26 Jun 2002 10:35:29 -0700

Hi James,

I've forwarded your note (and my comments) to the PWG Printer MIB WG
mailing list (the discussions should be on the open list, please).

My comments are below, preceded by <ira>.

Cheers,
- Ira McDonald, co-editor of Printer MIB v2
  High North Inc

-----Original Message-----
From: Babcock, James [mailto:[email-masked]]
Sent: Wednesday, June 26, 2002 11:38 AM
To: 'McDonald, Ira'
Cc: Hopkins, Mark
Subject: FW: Printer MIB v2 [new PrtInterpreterLangFamilyTC enums]

Hi Ira.

Thanks for providing a point of contact for registration
of new printer MIB items.  Based on the information that
you provided to Mark Hopkins in your reply, I have decided
that the CALCOMP and VERSATEC formats are archaic and will
not require registration.  I will implement entries for those
languages in our printer MIB using the PrtInterpreterLangFamilyTC
value of '1' to indicate 'other'.

<ira> Fine - remember to fill in 'prtInterpreterDescription'
with the CALCOMP or VERSATEC information.  </ira>

I believe that the following four interpreter languages are
still widely used and should be registered:  CALS1, CALS2,
NIRS, and C4.  These image formats are standards controlled
by the US Dept. of Defense.  The standards are available
as FIPS and ISO publications (and possibly other standard
sources) which I have not read.  They do not have assigned
MIME types included in the list of MIME types available at
iana.org.

RFC 2048 indicates that new MIME types registered under the
IETF tree MUST have their description published as an RFC.
Since these types are specified in other standards documents,
can you advise me how to approach the process of registering
MIME types for these four image specifications?

<ira> The IPP WG doesn't intend to register the (currently)
unregistered PDL language MIME types in the _IETF_ tree.
 
We intend to register them in the _vendor_ tree using the
IEEE/ISTO PWG's arc via _one_ RFC that Tom Hastings and others
will write up and submit as an Informational RFC.  What we
want to have before accepting new PDL types for Printer MIB v2
is the template from RFC 2048 filled out with the _external_
standards references (FIPS, ISO) for the new MIME types.
(On the principal of not accepting new PDL types that we
don't know how to register as MIME types.)  Can you do the
research?  </ira>

Thanks.  Have a great day.

Jim Babcock
Xerox Engineering Systems -- Herndon VA
(703) 787-2050

-----Original Message-----
From: McDonald, Ira [mailto:[email-masked]]
Sent: Thursday, June 20, 2002 4:43 PM
To: 'Hopkins, Mark'; [email-masked]
Cc: [email-masked]; McDonald, Ira;
Subject: RE: Printer MIB v2 [new PrtInterpreterLangFamilyTC enums]

Hi Mark,

You've written up your request for new PDL enumerations (below).  Now you
want Printer MIB WG comments.  So I enhanced the Subject of this reply,
to label your request.

Last year, the IPP WG decided IANA MIME types SHOULD be registered for
all PrtInterpreterLangFamilyTC enums that_are_currently_in_use (not any
obsolete ones), so that those PDL types can be used with IPP, Bluetooth,
UPnP, and other printing protocols.  So any _new_ PDL enums should also
have MIME types registered.  Would you please research if any of your
proposed additions _do_ have IANA MIME types registered?

If not, we would appreciate the necessary information for IANA MIME type
registration for each new PDL filled into the template specified in
Section 2.8 'Registration Template' of RFC 2048 "MIME Part Four:
Registration Procedures".

Some questions about your proposal below:

1)  Are VRASTER, VDS, and VCGL different PDLs?  If so, they need to be
    be separate enums.  Only _versions_ of the _same_ PDL should ever
    use the same enum.
2)  'langDoD' (which should be 'langDOD') is very ambiguous.  Is this a
    a graphics format (like your other new enums)?  It's seems likely
    that the US Dept of Defense has _document_ format standards as well,
    so the proposed name of this enum isn't specific enough.
3)  Are CALS1, CALS2, and C4 different PDLs?
    See (1) above.
4)  Need more info about CALCOMP plotters.  What's PDL language name?

Cheers,
- Ira McDonald, co-editor of Printer MIB v2
  High North Inc

--------- Original Message ----------
From: Hopkins, Mark [[email-masked]]
Sent: Wednesday, June 19, 2002 10:06 AM
To: [email-masked]
Cc: [email-masked]; 'McDonald, Ira'
Subject: Printer MIB v2

Xerox Engineering Systems would like to add the following enumerations to
PrtInterpreterLangFamilyTC in the Printer MIB:

langCALCOMP             -- Calcomp plotters
langDoD         -- US Dept. of Defense specifications
                        -- includes CALS1, CALS2, and C4
langVERSATEC    -- Versatec plotters
                        -- includes VRASTER, VDS, and VCGL
langJPEG                -- Joint Photographic Experts Group
langCGM         -- Computer Graphics Metafile (ISO 8632)

The printer MIB v2 says:

      enumeration (2)  An initial set of values are defined in the
      Printer MIB specification.  Additional enumerated values are
      registered after review by this working group. The initial
      versions of the MIB will contain the values registered so far.
      After the MIB is approved, additional values will be registered
      through IANA after approval by this working group.

Could someone tell me the process for obtaining working group agreement?

Thanks,

Mark Hopkins
Xerox Corporation
716-422-0643